[android-components](../../index.md) / [mozilla.components.support.base.android](../index.md) / [Padding](index.md) / [&lt;init&gt;](./-init-.md)

# &lt;init&gt;

`Padding(@Dimension(1) left: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`, @Dimension(1) top: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`, @Dimension(1) right: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`, @Dimension(1) bottom: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`)`

A representation of an Android Padding.

### Parameters

`left` - Padding start in PX.

`top` - Padding top in PX.

`right` - Padding end in PX.

`bottom` - Padding end in PX.